//! Meta-information of this crate.

use crate::ffi;

macro_rules! meta_str {
   ($($name:ident = $cname:ident = $e:expr;)*) => {
      $(
      pub const $name:  &'static str = $e;
      pub const $cname: ffi::NT = c_str!($e);
      )*
   }
}

meta_str!(
   AUTHORS       = C_AUTHORS        = env!("CARGO_PKG_AUTHORS");
   DESCRIPTION   = C_DESCRIPTION    = env!("CARGO_PKG_DESCRIPTION");
   HOMEPAGE      = C_HOMEPAGE       = env!("CARGO_PKG_HOMEPAGE");
   LICENSE_TEXT  = C_LICENSE_TEXT   = include_str!("../LICENSE");
   NAME          = C_NAME           = env!("CARGO_PKG_NAME");
   REPOSITORY    = C_REPOSITORY     = env!("CARGO_PKG_REPOSITORY");
   VERSION       = C_VERSION        = env!("CARGO_PKG_VERSION");
   VERSION_MAJOR = C_VERSION_MAJOR  = env!("CARGO_PKG_VERSION_MAJOR");
   VERSION_MINOR = C_VERSION_MINOR  = env!("CARGO_PKG_VERSION_MINOR");
   VERSION_PATCH = C_VERSION_PATCH  = env!("CARGO_PKG_VERSION_PATCH");
   VERSION_PRE   = C_VERSION_PRE    = env!("CARGO_PKG_VERSION_PRE");
);

// EOF
