#pragma once

#include <QMainWindow>
#include <vector>

class ProjectView;
class QMdiSubWindow;

namespace Ui
{
   class Menu;
}

class Menu : public QMainWindow
{
   Q_OBJECT

public:
   explicit Menu(QWidget *parent = nullptr);
   ~Menu();

public slots:
   void mapNew();
   void mapOpen();
   void openAbout();
   void openMapProperties();
   void updateActions();

protected:
   void closeEvent(QCloseEvent *event) override;
   void openLicense(QWidget *parent);

private:
   ProjectView *activeProject() const;
   QMdiSubWindow *activeSubWindow() const;
   void addProject(ProjectView *view);

   QSharedPointer<Ui::Menu> ui;
};

// EOF
