#pragma once

#include <QtGlobal>
#include <cstdint>
#include <cstddef>

#ifdef TYCHO_DEBUG_PRINT
#define dbgPrint(...) qDebug(__VA_ARGS__)
#else
#define dbgPrint(...)
#endif

#define dbgPrintFunc() dbgPrint("%s", __func__)

constexpr std::uint32_t fourCC(std::uint8_t a,
                               std::uint8_t b,
                               std::uint8_t c,
                               std::uint8_t d)
{
   return (a << 24) | (b << 16) | (c << 8) | d;
}

extern "C" {
   char const *tychoAuthors();
   char const *tychoHomepage();
   char const *tychoLicenseText();
   char const *tychoRepository();
   char const *tychoVersion();
}

// EOF
