//! Meta-information exposing functions.

use maraiah::{ffi, meta};

macro_rules! meta_str {
   ($($name:ident = $e:expr;)*) => {
      $(
      #[no_mangle]
      pub extern "C" fn $name() -> ffi::NT
      {
         $e
      }
      )*
   }
}

meta_str!(
   tychoAuthors     = meta::C_AUTHORS;
   tychoHomepage    = meta::C_HOMEPAGE;
   tychoLicenseText = meta::C_LICENSE_TEXT;
   tychoRepository  = meta::C_REPOSITORY;
   tychoVersion     = meta::C_VERSION;
);

// EOF
